<div x-data="{ open: false }" class="container flex items-center justify-between" >
    <div x-show="open" class="bg-black/50 z-20 absolute top-0 bottom-0 left-0 right-0"></div>
    <div class="mr-4">
        {% include 'partials/logo.html.twig' %}
    </div>
    <button class="md:hidden rounded-lg focus:outline-none focus:shadow-outline" @click="open = !open">
        <svg fill="currentColor" viewBox="0 0 20 20" class="w-6 h-6">
            <i x-show="!open"class="fa-solid fa-bars"></i>
            <i x-show="open"class="fa-solid fa-x-mark"></i>
        </svg>
    </button>
    <nav :class="{'translate-x-0': open, 'translate-x-full md:translate-x-0': !open}" class="right-0 transform transition ease-in-out duration-500 md:transform-none flex top-0 bottom-0 w-80 bg-white text-black fixed z-30 flex-col flex-grow md:p-4 md:w-full md:static md:pb-0 md:flex md:justify-end md:flex-row font-serif">
        {% block header_navigation %}
            {% include 'partials/navigation.html.twig' %}
        {% endblock %}
    </nav>
</div>